#### D.7.2.5 completeReduction

Procedure from library `ainvar.lib` (see ainvar_lib).

Usage:
  completeReduction(p,I[,q,n]); p poly, I ideal, [q monomial, n int]

Return:
  a polynomial, the SAGBI reduction of the polynomial p with respect to I via the procedure 'reduction' as long as possible
  if n=1, a different algorithm is chosen which is sometimes faster (default: n=0; q and n can be given (or not) in any order)

Note:
  help reduction; shows an explanation of SAGBI reduction

Example:

    LIB "ainvar.lib";
    ring q=0,(x,y,z,u,v,w),dp;
    poly p=x2yz-x2v;
    ideal dom =x-w,u2w+1,yz-v;
    completeReduction(p,dom);
    ==> 2xyzw-yzw2-2xvw+vw2
    completeReduction(p,dom,w);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.